echo off
if %1.==. goto Usage

if NOT exist %1.txt goto FNFound

del del*.*
translit -i %1.txt -o del1.txt -t f:\itrans\bin\itx2iht1.tbl
translit -i del1.txt -o del2.txt -t f:\itrans\bin\itx2iht2.tbl
translit -i del2.txt -o del3.txt -t f:\itrans\bin\itx2iht3.tbl
copy f:\itrans\bin\iht.hdr + del3.txt + f:\itrans\bin\iht.trl del.iht
itrans -v -i del.iht -o %1.html
translit -i del.iht -o del.htm -t f:\itrans\bin\iht2htm.tbl
copy del.htm %1.htm

goto cleanup

REM --------------------------------------------------------------------------
:FNFound
echo.
echo File %1.txt not found.
echo.
goto end

REM --------------------------------------------------------------------------
:FNFound2
echo.
echo File %2.hdr not found.
echo.
goto end

REM --------------------------------------------------------------------------
:FNFound3
echo.
echo File %2.trl not found.
echo.
goto end

REM --------------------------------------------------------------------------
:Usage
echo.
echo 	Usage: 	 xdvng Source_File 
echo 	Example: xdvng test1	
echo.
echo 	Source_file should have .txt extension 
echo 	but it should not be mentioned while starting program
echo.
echo.
goto end

REM --------------------------------------------------------------------------
:cleanup

echo removing %1 extra files....

del del*.*

REM --------------------------------------------------------------------------
:end


